Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO::DII_Deferred_Invocation_Adapter Class Reference

`#include <DII_Invocation_Adapter.h>`

Inheritance diagram for TAO::DII_Deferred_Invocation_Adapter:

[legend]
Collaboration diagram for TAO::DII_Deferred_Invocation_Adapter:

[legend]
List of all members.

## Public Methods
| DII_Deferred_Invocation_Adapter (CORBA::Object *target, Argument **args, int arg_number, const char *operation, int op_len, Collocation_Proxy_Broker *b, TAO_ORB_Core *oc, CORBA::Request *req, TAO::Invocation_Mode mode=TAO_DII_DEFERRED_INVOCATION)
virtual void | invoke (TAO::Exception_Data *ex, unsigned long ex_count ACE_ENV_ARG_DECL)
| Invoke the target.
## Protected Methods
virtual Invocation_Status | invoke_twoway (TAO_Operation_Details &op, CORBA::Object *&effective_target, Profile_Transport_Resolver &r, ACE_Time_Value *&max_wait_time ACE_ENV_ARG_DECL)
## Private Attributes
CORBA::Request * | request_
TAO_DII_Deferred_Reply_Dispatcher * | rd_
| Reply dispatcher for the current Invocation.
TAO_ORB_Core * | orb_core_
| Cache the orb_core.

## Constructor & Destructor Documentation

TAO::DII_Deferred_Invocation_Adapter::DII_Deferred_Invocation_Adapter | ( | CORBA::Object * | target,
|  | Argument ** | args,
|  | int | arg_number,
|  | const char * | operation,
|  | int | op_len,
|  | Collocation_Proxy_Broker * | b,
|  | TAO_ORB_Core * | oc,
|  | CORBA::Request * | req,
|  | TAO::Invocation_Mode | mode = TAO_DII_DEFERRED_INVOCATION
| ) |

## Member Function Documentation

void TAO::DII_Deferred_Invocation_Adapter::invoke | ( | TAO::Exception_Data * | ex,
|  | unsigned long ex_count | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Invoke the target. Reimplemented from TAO::Invocation_Adapter.

Invocation_Status TAO::DII_Deferred_Invocation_Adapter::invoke_twoway | ( | TAO_Operation_Details & | op,
|  | CORBA::Object *& | effective_target,
|  | Profile_Transport_Resolver & | r,
|  | ACE_Time_Value *&max_wait_time | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

## Member Data Documentation

TAO_ORB_Core* TAO::DII_Deferred_Invocation_Adapter::orb_core_`[private]`

| Cache the orb_core.

TAO_DII_Deferred_Reply_Dispatcher* TAO::DII_Deferred_Invocation_Adapter::rd_`[private]`

| Reply dispatcher for the current Invocation.

CORBA::Request* TAO::DII_Deferred_Invocation_Adapter::request_`[private]`

The documentation for this class was generated from the following files:

- DII_Invocation_Adapter.h
- DII_Invocation_Adapter.cpp